function [index_min] = detect_overVibrate(segment)
index_min = 0;
thr = 0.028;
if segment(1) < thr
    

thr_signal= segment < thr;

dif_signal = diff([thr_signal(1);thr_signal]);

start = dif_signal > 0;

stop = dif_signal < 0;

if any(start)
    idx_start=find(start,1,'first');
    idx_stop=find(stop,2,'first');
    idx_stop(1)=[];
    [~,idx] = min(idx_start:idx_stop); 
    index_min = idx + idx_start+1;

    
    
end

end
end
